Subject: Human/Plant Relationships

From: [email-masked] (Carol M Lively)
Date: 19 Jan 1995 08:44:44 GMT

Hope I'm not posting to the wrong group.  If this is a "serious, really
and truly scientific kind of group, just tell me, and I will resume my
lurking.  

I just suggested a couple of books to someone looking for information on
EMF on plants and other biological systems,  ("Cross Currents by Robert
Becker, and "The Secret Life of Plants" and "Secrets of the Soil" by
Peter Tomkins and Christopher Bird), and I was just wondering if anybody
else had read them, and if so, what do they think about them?  

Perhaps I'm a "lunatic on the fringe", but I really liked those books,
and have always wanted to discuss them with someone, but have never met
anyone else who has read them.

Sincerly, with no desire to offend,

Carol Lively